This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 696884

Summary: virtio disk hotplug fails since no 'drive_add' command
Product: [Fedora] Fedora Reporter: mliu
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 15CC: aquini, berrange, clalance, crobinso, dyuan, hbrock, itamar, jforbes, laine, mliu, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-06 20:10:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description mliu 2011-04-15 03:10:58 EDT
Description of problem:
When add a Virtio Disk to a running guest from virt-manager, it will pop-up an error message. If I use virsh command to add it, I will get the same error. 

Version-Release number of selected component (if applicable):
virt-manager-0.8.7-3.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
1.Launch virt-manager: #virt-manager
2.Double-click a vm and click the Run button in the Virtual Machine Details window.
3.Click the Hardware tab.
4.Click Add Hardware button
5.Select Storage in Hardware type droplist and click Forward.
6.Select managed or other existing storage and fill out the Location of  Block device(partition), eg: /dev/sda3.
7.Select vitual disk in Device type then click Forward.
8.Click Finish button.
  
Actual results:
pop-up error message:
internal error unable to execute QEMU command 'drive_add': The command drive_add has not been found

Expected results:
storage can be added successfully

Additional info:
Comment 1 mliu 2011-04-15 04:19:20 EDT
When Device type is USB disk, there is the same error
Comment 2 Cole Robinson 2011-07-11 12:53:26 EDT
Reassigning to libvirt.

Is this regression? Did virtio disk hotplug work in f14 or something and we are just getting a check wrong?
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:51:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:54:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:00:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:04:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:06:20 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:06:27 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-06-06 20:10:44 EDT
Since F15 is very close to EOL, closing this as WONTFIX. If anyone can still reliably reproduce this issue on F16 or higher, please reopen.